homepage/urls.py
from django.urls import path
from . import views

app_name= 'homepage'

urlpatterns=[
    path('',views.index,name='index'),
    path('profile/',views.profile,name='profile'),
    path('page2/',views.page2,name='page2'),
    path('page3/',views.page3,name='page3'),
    path('page4/',views.page4,name='page4'),
    path('page5/',views.page5,name='page5'),
    path('navbar/',views.navbar, name='navbar'),

]

story/urls.py
from django.urls import path,include
from django.contrib import admin

urlpatterns=[
    path('admin/',admin.site.urls),
    path('',include('homepage.urls')),
]

homepage/models.py
from django.db import models

# Create your models here.

homepage/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request,'mainpage.html')

def profile(request):
    return render(request,'Story1.html')

def page2(request):
    return render(request,'page2.html')

def page3(request):
    return render(request,'page3.html')

def page4(request):
    return render(request,'page4.html')

def page5(request):
    return render(request,'page5.html')

def navbar(request):
    return render(request,'navbar.html')

homepage/templates/Story1.html
<html>
<head>
	<style type="text/css">
		img{
			border-radius: 35px;
		}
		body{
			text-align: center;
		}
		.backcol{
			background-image: linear-gradient(to top,black, #C71585);
			height:1200px;
			text-align: left;
		
		}
		.logomaung{
			text-align: center;
			position: relative;
		}
		.dikiri{
			text-align: left;
			color:white;
			position: relative;
			top:43px;
			padding:40px;
			width: 23%;
			float: left;
			background-image:linear-gradient(to left,grey,#C71584);

		}
		.backtul{	
			  color:white;
			  float: middle;
			  width: 33%;
			  padding: 10px;
			  font-size:25px;
			  font-family: Arial, Helvetica, sans-serif;
			  margin: auto;
 			  text-align: center;

			}
		.dikanan{
			text-align:left;
			color:white;
			position: relative;
			top: 20px;
			padding: 30px;
			width:10%;
			float:right;
			background-image: linear-gradient(to left,grey,#C71584);
		}
		.dikiribawah{
			position: fixed;
			background-image: linear-gradient(to left,grey,#C71584);
			width:10%;
			top:400px;
			color: white;
		}
		}
	</style>
	<title>
		Story1
	</title>
</head>
<body>

	<div class="backcol">
				{% include 'navbar.html' %}

	</div>
		<div class="logomaung">
		<img src="https://maung.id/static/1f7b4997727a2da7d42e82de17af0b20/23f9c/maung-nav.png" width="250" height="90" ><br>
		<b style="color: black; font-style: italic;font-family:cursive;font-size: 30px;"> SOLID  PEDULI  BERPRESTASI </b><br></div>
	<div class="dikiri">
			<h1>Deskripsi diri</h1>
			Seorang pecinta komputer yang senang belajar hal baru, senang berkreasi, dan memiliki jiwa kompetitif.
	</div>
	<div class="dikiribawah">
	<b style="color: white"> Kontak: </b><br>
	<a href='https://www.instagram.com/trisetio_putra/?hl=id'>
		<img src="https://lh3.googleusercontent.com/2sREY-8UpjmaLDCTztldQf6u2RGUtuyf6VT5iyX3z53JS4TdvfQlX-rNChXKgpBYMw=s180-rw" border="0" width="50" height="50">
	</a>
	<a href="https://id-id.facebook.com/trisetio.putra">
		<img src="https://image.flaticon.com/icons/png/512/124/124010.png" border="0" width="50" height="50">
	</a>
	</div>
	<div class="dikanan">
			<h1>Riwayat Pendidikan</h1><br>
			1.SD Harapan Bunda<br>
			2.SMP Don Bosco 2<br>
			3.SMAN68 Jakarta<br>
			4.Universitas Indonesia<br>
	</div>
		<div class="backtul">
	<h1 style="color:black">Profil</h1>
	<img src="https://maung.id/static/3d1f5e4ce66ee9c25bb8ff450e5f87ed/32ee9/JP49.jpg" width='200' height='250' /><br/>

	<b style="color: #C71584"> Nama Lengkap:</b><br> Trisetio Putra<br>
	<b style="color: #C71584"> Tempat Kuliah:</b><br> Universitas Indonesia<br>
	<b style="color: #C71584"> Angkatan:</b><br>2019<br>
	<b style="color: #C71584"> NPM:</b><br> 1906308053<br>
	<b style="color: #C71584;"> Tempat dan Tanggal Lahir:</b><br>Jakarta,3 Maret 2001<br>
	<b style="color: #C71584"> Daftar Hobi:</b><br>
		Travelling <br>
		Main piano <br>
		Main HP <br>

</ul>
</div>
</ul>
</div>
</ul>
</body>
</html>


	








</body>


</html>

homepage/templates/mainpage.html
{% load static %}
<html>
<head>

	<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">

</head>
<body>

	<div class="backgr">
			{% include 'navbar.html' %}

		<div class="fontkiri">
			<span style=" color: #ff6443">Personal</span><span>Profile</span> 
			<div class="containtombol">
			<div class="button" style="background-color:#ff6443;"></div>
			<a href="{% url 'homepage:page2' %}"><div class="button" style="background-color:#128b86;"></div></a>
			<a href="{% url 'homepage:page3' %}"><div class="button" style="background-color:#128b86;"></div></a>
			<a href="{% url 'homepage:page4' %}"><div class="button" style="background-color:#128b86;"></div></a>
			<a href="{% url 'homepage:page5' %}"><div class="button" style="background-color:#128b86;"></div></a>


			</div>
		</div>
		<div class="contain">
				<div class="containtulisan">
					<div class="merah">
						<div class="tengahmerah">
								Hi,welcome to my web
						</div>
					</div>
						<div class="fonttengah">
							<p><span style="color: #ff6443">Connecting </span>to people gives you the power to earn the trust you need to <span style="color:#ff6443">succeed</span></p>
						</div>
				</div>
				<div class="papgw">
				</div>

				

		</div>
		<div class="container">
			<a href="{% url 'homepage:page2' %}" ><img src="http://www.clker.com/cliparts/J/H/k/9/3/R/go-arrow-next-hi.png"width="40" height="40"></a>
			<div class="container2">
					<div class="fontbawah">

					<span style="color: #ff6443">Tri is the name </span><span>WebDev is the game</span>
					</div>
			</div>
			<div class="copyright">
				<div class="fontbawah">
				<b style="font-size: 1vw;color: #ff6443">@Copyright Trisetio 2019</b>
	</div>
	


</div> 
</body>

</html>

homepage/templates/navbar.html
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body {
  font-family: "Lato", sans-serif;
}

.sidebar {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidebar a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidebar a:hover {
  color:#ff6443;
}

.sidebar .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

.openbtn {
  font-size: 20px;
  cursor: pointer;
  background-color:#128b86;
  color: white;
  padding: 10px 15px;
  border: none;
}

.openbtn:hover {
  background-color:grey;
}

#main {
  transition: margin-left .5s;
  padding: 16px;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
  .sidebar {padding-top: 15px;}
  .sidebar a {font-size: 18px;}
}
</style>
</head>
<body>

<div id="mySidebar" class="sidebar">
  <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">×</a>
  <a href="{% url 'homepage:index' %}">Story3</a>
  <a href="{% url 'homepage:profile' %}">Story1</a>
</div>

<div id="main">
  <button class="openbtn" onclick="openNav()">☰ Open Sidebar</button>  

<script>
function openNav() {
  document.getElementById("mySidebar").style.width = "250px";
  document.getElementById("main").style.marginLeft = "250px";
}

function closeNav() {
  document.getElementById("mySidebar").style.width = "0";
  document.getElementById("main").style.marginLeft= "0";
}
</script>
   
</body>
</html> 

homepage/templates/page2.html
{% load static %}
<html>
<head>	
	<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">
</head>
<body>
<div class="backgr2">
			{% include 'navbar.html' %}

<div class="contain2top">
	<div class="fonttengah2">
		<span style="color: #128b86">More </span>about <span style="color: #ff6443">Me</span>

	</div>
	<div class="containtombol">
			<a href="{% url 'homepage:index' %}"><div class="button" style="background-color:#128b86;"></div></a>
			<a href="{% url 'homepage:page2' %}"><div class="button" style="background-color:#ff6443;"></div></a>
			<a href="{% url 'homepage:page3' %}"><div class="button" style="background-color:#128b86;"></div></a>
			<a href="{% url 'homepage:page4' %}"><div class="button" style="background-color:#128b86;"></div></a>
			<a href="{% url 'homepage:page5' %}"><div class="button" style="background-color:#128b86;"></div></a>


			</div>
	<div class="garis"></div>
</div> 
<div class="boxkiri">
		<div class="wrp21T">		
				About me
		</div>
		<div class="pembatas">#</div>
		<div class="wrp21i">
		A Student of University of Indonesia, curently studying Computer Science Major. A hard working person with a competitive personality.</div>
</div>
<div class="boxkanan">
		<div class="wrp21T">		
				Commitee Experience
		</div>
		<div class="pembatas">#</div>
		<div class="wrp21i" style="text-align: left; line-height: 10px;">
		<h3 style="font-size: 1.2em;">1.Bussiness and Development of Perak</h3>
		<h3 style="font-size: 1.2em;">2.PIC of MAB by Adkesma</h3>
		<h3 style="font-size: 1.2em;">3.Equipment division of WisGan</h3>
		<h3 style="font-size: 1.2em;">4.HRD of FnB division for Compfest</h3>
		</div>
</div>
<div class="boxbawah">
	<div class="wrp21T">
		Education
	</div>
	<div class="pembatas">#</div>
	<div class="wrp21i" style="text-align: left; line-height: 10px;">
		<h3 style="font-size: 1.2em;">1.Hoping Mother Elementary School (2006-2013)</h3>
		<h3 style="font-size: 1.2em;">2.Don Bosco 2 Middle School (2013-2016)</h3>
		<h3 style="font-size: 1.2em;">3.68 Senior Highschool (2016-2019)</h3>
		<h3 style="font-size: 1.2em;">4.University of Indonesia (2019-2020)</h3>
		</div>


</div>
<div class="copyright2"><b style="font-size: 0.4em; color: #ff6443"> @Copyright Trisetio 2019</b></div>
<div class="boxpalingbawah">
		<a href="{% url 'homepage:index' %}" ><img src="https://pixy.org/src/1/15138.png"width="40" height="40"></a>
		<a href="{% url 'homepage:page3' %}" ><img src="http://www.clker.com/cliparts/J/H/k/9/3/R/go-arrow-next-hi.png"width="40" height="40"></a>

</div>

</body>
</html>

homepage/templates/page3.html
{% load static %}
<html>
<head>
	<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">
</head>
<body>
	<div class="backgr3">
		{% include 'navbar.html' %}

		<div class="contain3top">
				<div class="fonttengah2" style="text-align: left;">
						<span style="color: #128b86">Hobbies </span><span style="color: #ff6443">(things i enjoy)</span>

				</div>
					<div class="garis"></div>
				<div class="containtombolp3">
					<a href="{% url 'homepage:index' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page2' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page3' %}"><div class="button" style="background-color:#ff6443;"></div></a>
					<a href="{% url 'homepage:page4' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page5' %}"><div class="button" style="background-color:#128b86;"></div></a>

				</div>
			</div>

		<div class="containp3">
			<div class="containteks">
					<div class="fonttengah">
					<span style="color: #128b86">My hobbies </span>made my everyday worth waiting for. </div>
			</div>
			<div class="containh2">
					<div class="paphobi2">
					</div>
					<div class="deskriph2">
						Coding is a new found love of mine. Something new rarely amuze me. And yet, coding has done it for me
					</div>
			</div>
			<div class="containh1">
					<div class="paphobi1">
					</div>
					<div class="deskriph1">
						Movie never stop to amaze me. From the cinematography to the plot that will carry you away to another place.
					</div>
			</div>
		</div>
		<div class="copyright3"><b style="font-size: 0.4em; color: #ff6443"> @Copyright Trisetio 2019</b></div>
		<div class="boxpalingbawah2">
		<a href="{% url 'homepage:page2' %}" ><img src="https://pixy.org/src/1/15138.png"width="40" height="40"></a>
		<a href="{% url 'homepage:page4' %}" ><img src="http://www.clker.com/cliparts/J/H/k/9/3/R/go-arrow-next-hi.png"width="40" height="40"></a>
		</div>
		

	
	</div>

</body>
</html>

homepage/templates/page4.html
{% load static %}
<html>
<head>
	<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">
</head>
<body>
	<div class="backgr4">
		{% include 'navbar.html' %}
	
			<div class="contain3top">
				<div class="fonttengah2" style="text-align: left;">
						<span style="font-size: 0.7em">A little bit <span style="color: #ff6443">personal </span>can't go wrong</span>

				</div>
					<div class="garis"></div>
				<div class="containtombolp3">
					<a href="{% url 'homepage:index' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page2' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page3' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page4' %}"><div class="button" style="background-color:#ff6443;"></div></a>
					<a href="{% url 'homepage:page5' %}"><div class="button" style="background-color:#128b86;"></div></a>

				</div>
			</div>
			<div class="contain">
				
					<div class="kotakkiri">
							<div class="wrp21T">Personal info</div>
							<div class="pembatas">#</div>
							<div class="wrp21i">Name   : Trisetio Putra</div>
							<div class="wrp21i">D.O.B  : 3 March 2001</div>
							<div class="wrp21i">NPM    : 1906308053</div>


						</div>
					<div class="papbrobrogw">

						</div>
						
				
			</div>
			<div class="fontbawah2"> Your Enviroment matters, so find a good one</div>
			<div class="sosmed">
				<span style="font-size: 0.9em; color: #ff6443">Contact: </span>
					<a href="https://www.instagram.com/trisetio_putra/?hl=id"><img src="https://www.freepnglogos.com/uploads/instagram-logos-png-images-free-download-2.png" width="44" height="44"></a>
					<a href="https://id-id.facebook.com/trisetio.putra"><img src="https://image.flaticon.com/icons/png/512/124/124010.png" width="40" height="40"></a>

			</div>
			<div class="copyright3"><b style="font-size: 0.4em; color: #128b86"> @Copyright Trisetio 2019</b></div>
		<div class="boxpalingbawah2" style="top: 150px;">
		<a href="{% url 'homepage:page3' %}" ><img src="https://pixy.org/src/1/15138.png"width="40" height="40"></a>
		<a href="{% url 'homepage:page5' %}" ><img src="http://www.clker.com/cliparts/J/H/k/9/3/R/go-arrow-next-hi.png"width="40" height="40"></a>
		</div>
</div>
</body>

<html>

homepage/templates/page5.html
{% load static %}
<html>
<head>
	<link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
	<link rel="stylesheet" href="{% static 'style.css' %}">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

</head>
<body>
	<div class="backgr5">
		{% include 'navbar.html' %}

		<div class="contain3top">
				<div class="fonttengah2" style="text-align: left;">
						<span style="color: #128b86">Fun </span><span style="color: #ff6443">Fact</span>

				</div>
					<div class="garis"></div>
				<div class="containtombolp3">
					<a href="{% url 'homepage:index' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page2' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page3' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page4' %}"><div class="button" style="background-color:#128b86;"></div></a>
					<a href="{% url 'homepage:page5' %}"><div class="button" style="background-color:#ff6443;"></div></a>



				</div>
			</div>

		<div class="containp3">
			<div class="containteks5">
					<div class="fonttengah5">
					<span style="color: #128b86">My Favorite Movie: </span><span style="color: white">Batman The Dark Knight </span>
					</div>

							<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalLong">
						  Batman Carousel
							</button>

						<!-- Modal -->
						<div class="modal fade" id="exampleModalLong" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
						  <div class="modal-dialog" role="document">
						    <div class="modal-content">
						      <div class="modal-header">
						        <h5 class="modal-title" id="exampleModalLongTitle">Batman Logo's</h5>
						        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
						          <span aria-hidden="true">&times;</span>
						        </button>
						      </div>
						      <div class="modal-body">
										<div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
									  <ol class="carousel-indicators">
									    <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
									    <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
									    <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
									  </ol>
									  <div class="carousel-inner">
									    <div class="carousel-item active">
									      <img class="d-block w-100" src="http://getwallpapers.com/wallpaper/full/7/4/3/543108.jpg" alt="First slide">
									      <div class="carousel-caption d-none d-md-block">
										    <h5 style="font-size: 0.6em">Batman about to play "bad-cop"</h5>
										    <p style="font-size: 0.4em">To find the location of "still-good" Harvey Dent and his Rachel</p>
										  </div>
									    </div>
									    <div class="carousel-item">
									      <img class="d-block w-100" src="http://getwallpapers.com/wallpaper/full/1/6/2/542800.jpg" alt="Second slide">
									      		<div class="carousel-caption d-none d-md-block">
									      		<h5 style="font-size: 0.6em">Meet the batpod</h5>
										    	<p style="font-size: 0.4em">This Ultra Bike launches himself after the batmobile get exploded</p>
										    	</div>
									    </div>
									    <div class="carousel-item">
									      <img class="d-block w-100" src="http://getwallpapers.com/wallpaper/full/7/d/		a/953008-download-dark-knight-joker-wallpaper-2560x1440-for-ipad.jpg" alt="Third slide">
									      		<div class="carousel-caption d-none d-md-block">

									      		<h5 style="font-size: 0.6em">The Joker enjoying his accidental prison break</h5>
										    	<p style="font-size: 0.4em">Such a memorable scene, such an ingeneous plan working at it's best</p>
										    	</div>
									    </div>
									  </div>
									  <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
									    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
									    <span class="sr-only">Previous</span>
									  </a>
									  <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
									    <span class="carousel-control-next-icon" aria-hidden="true"></span>
									    <span class="sr-only">Next</span>
									  </a>
									</div>
						      </div>
						      <div class="modal-footer">
						        <button type="button" class="btn btn-secondary" data-dismiss="modal">cabs lah kuy</button>
						      </div>
						    </div>
						  </div>
			</div>
		</div>
			<div class="containh2">
					<div class="papjoker">
					</div>
					<div class="deskriph2">
						<span style="color: #ff6443">The atmosphere around Heath Ledger as the Joker gave me the thrill that no villain ever does</span>
					</div>
			</div>
			<div class="containh1">
					<div class="papbatman">
					</div>
					<div class="deskriph1">
						<span style="color: #ff6443">Batman shows true heroisme shown in the way that he took the blame for harvey dent's crime</span>
					</div>
			</div>
		</div>
		<div class="copyright3"><b style="font-size: 0.4em; color: #ff6443"> @Copyright Trisetio 2019</b></div>
		<div class="boxpalingbawah2">
		<a href="{% url 'homepage:page4' %}" ><img src="https://pixy.org/src/1/15138.png"width="40" height="40"></a>
		</div>
		

	
	</div>
	<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</body>
</html>